import { post, postForm } from '#/api/http'

import { BasicService } from '../basic'

class SpLearnOfflineChargeService extends BasicService {
  async audit(data: any) {
    return await post<any>('/org/learnAmount/register/audit', data)
  }

  async register(data: any) {
    return await postForm<any>('/org/learnAmount/register/register', data)
  }

  protected findPageUrl(): string {
    return '/org/learnAmount/register/list'
  }

  protected removeUrl(): string {
    throw new Error('Method not implemented.')
  }

  protected saveOrUpdateUrl(): string {
    throw new Error('Method not implemented.')
  }
}

export const spLearnOfflineChargeService = new SpLearnOfflineChargeService()
